#ifndef _ENV_H_
#define _ENV_H_

/*
 * Under Windows we can't use paths provided by configure because they are UNIX-style
 * and we don't use MSYS
 */
#ifdef _WIN32
#ifndef _STANDALONE_
#define _STANDALONE_
#endif
#endif

#ifdef _NATIVE_
#define LD_NAME      "/Development/bin/ld"
#define STRIP_NAME   "/Development/bin/strip"
#define NM_NAME      "/Development/bin/nm"
#define OBJDUMP_NAME "/Development/bin/objdump"
#endif
#ifdef _CROSS_
#define LD_NAME      "/home/aros/aros_abiv0/Build/20190520/Toolchain/arm-aros-ld"
#define STRIP_NAME   "/home/aros/aros_abiv0/Build/20190520/Toolchain/arm-aros-strip"
#define NM_NAME      "/home/aros/aros_abiv0/Build/20190520/Toolchain/arm-aros-nm"
#define OBJDUMP_NAME "/home/aros/aros_abiv0/Build/20190520/Toolchain/arm-aros-objdump"
#endif
#ifdef _STANDALONE_
#define LD_NAME      "arm-aros-ld"
#define STRIP_NAME   "arm-aros-strip"
#define NM_NAME      "arm-aros-nm"
#define OBJDUMP_NAME "arm-aros-objdump"
#endif

#ifndef LD_NAME
/* The following lines will be patched by AROS-SDK-Install */
#define LD_NAME      "/home/aros/aros_abiv0/Build/20190520/Toolchain/arm-aros-ld"
#define STRIP_NAME   "/home/aros/aros_abiv0/Build/20190520/Toolchain/arm-aros-strip"
#define NM_NAME      "/home/aros/aros_abiv0/Build/20190520/Toolchain/arm-aros-nm -C -ul"
#define OBJDUMP_NAME "/home/aros/aros_abiv0/Build/20190520/Toolchain/arm-aros-objdump"
#endif

#define TARGET_CPU_arm

/*
 * Having these conditions here helps to bootstrap a crosscompiler.
 * You don't have to look up a value in configure script any more.
 */
#ifdef TARGET_CPU_m68k
#define OBJECT_FORMAT "-mm68kelf"
#endif
#ifdef TARGET_CPU_ppc
#define OBJECT_FORMAT "-melf32ppc"
#endif
#ifdef TARGET_CPU_i386
#define OBJECT_FORMAT "-melf_i386"
#endif
#ifdef TARGET_CPU_x86_64
#define OBJECT_FORMAT "-melf_x86_64"
#endif
#ifdef TARGET_CPU_aarch64
#define OBJECT_FORMAT "-maarch64elf_aros"
#endif
#ifdef TARGET_CPU_arm
#define OBJECT_FORMAT "-marmelf_aros"
#endif
#ifdef TARGET_CPU_sparc
#define OBJECT_FORMAT "-melf_sparc"
#endif
#ifndef OBJECT_FORMAT
#error Unknown object format for your target CPU
#endif

#endif /* !_ENV_H */
